import { PolySymbol } from './polySymbol';

export const filterCustomSwitchKey = PolySymbol('filter custom switch');

export const filterLeftMountedKey = PolySymbol('filter left mounted');
export const filterSecondMountedKey = PolySymbol('filter second mounted');
export const filterSecondOpenKey = PolySymbol('filter second open');

export const mainMountedKey = PolySymbol('main mounted');
export const tableMountedKey = PolySymbol('table mounted');
export const drawerKey = PolySymbol('drawer');
export const updateDrawerKey = PolySymbol('update drawer');
export const drawerStyleKey = PolySymbol('drawer style');

// antd table scrollbar 问题修复
export const hasScrollbarKey = PolySymbol('has scrollbar');

// 提供给 DropdownButton 组件调用的方法
export const highlightRowFnKey = PolySymbol('highlight row fn');
